com.microfocus.awm.meta.interfaces

## Interface RElementAction

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, RElementActionBase
  All Known Implementing Classes:
    RElementActionImpl

      public interface RElementAction
      extends RElementActionBase

  Relationship from an element type to an action. The referenced action will be added to the context menu of an element of this element type.

  The following features are supported:

  - `Action Enabled Condition`
  - `Action Visible Condition`
  - `Default Action`
  - `Label`
  - `Separator After`
  - `Seq No`
  - `Show In Element View`
  - `Show In Tree View`
  See Also:
    `TaurusPackage.getRElementAction()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RSelectionEnabledCondition` | `getActionEnabledCondition()` Returns the value of the 'Action Enabled Condition' containment reference.
    `RSelectionVisibleCondition` | `getActionVisibleCondition()` Returns the value of the 'Action Visible Condition' containment reference.
    `java.lang.String` | `getLabel()` Returns the value of the 'Label' attribute.
    `java.lang.String` | `getLabelFromHierarchy()` Returns the Label or, if the Label wasn't set, the Label of the referenced ActionDescriptor (`TargetID`).
    `int` | `getSeqNo()` Returns the value of the 'Seq No' attribute.
    `boolean` | `isDefaultAction()` Returns the value of the 'Default Action' attribute.
    `boolean` | `isSeparatorAfter()` Returns the value of the 'Separator After' attribute.
    `boolean` | `isSetDefaultAction()` Returns whether the value of the '`Default Action`' attribute is set.
    `boolean` | `isSetSeparatorAfter()` Returns whether the value of the '`Separator After`' attribute is set.
    `boolean` | `isSetSeqNo()` Returns whether the value of the '`Seq No`' attribute is set.
    `boolean` | `isSetShowInElementView()` Returns whether the value of the '`Show In Element View`' attribute is set.
    `boolean` | `isSetShowInTreeView()` Returns whether the value of the '`Show In Tree View`' attribute is set.
    `boolean` | `isShowInElementView()` Returns the value of the 'Show In Element View' attribute.
    `boolean` | `isShowInTreeView()` Returns the value of the 'Show In Tree View' attribute.
    `void` | `setActionEnabledCondition(RSelectionEnabledCondition value)` Sets the value of the '`Action Enabled Condition`' containment reference.
    `void` | `setActionVisibleCondition(RSelectionVisibleCondition value)` Sets the value of the '`Action Visible Condition`' containment reference.
    `void` | `setDefaultAction(boolean value)` Sets the value of the '`Default Action`' attribute.
    `void` | `setLabel(java.lang.String value)` Sets the value of the '`Label`' attribute.
    `void` | `setSeparatorAfter(boolean value)` Sets the value of the '`Separator After`' attribute.
    `void` | `setSeqNo(int value)` Sets the value of the '`Seq No`' attribute.
    `void` | `setShowInElementView(boolean value)` Sets the value of the '`Show In Element View`' attribute.
    `void` | `setShowInTreeView(boolean value)` Sets the value of the '`Show In Tree View`' attribute.
    `void` | `unsetDefaultAction()` Unsets the value of the '`Default Action`' attribute.
    `void` | `unsetSeparatorAfter()` Unsets the value of the '`Separator After`' attribute.
    `void` | `unsetSeqNo()` Unsets the value of the '`Seq No`' attribute.
    `void` | `unsetShowInElementView()` Unsets the value of the '`Show In Element View`' attribute.
    `void` | `unsetShowInTreeView()` Unsets the value of the '`Show In Tree View`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.RElementActionBase

      `getTargetID, setTargetID`

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getActionEnabledCondition

          RSelectionEnabledCondition getActionEnabledCondition()

      Returns the value of the 'Action Enabled Condition' containment reference. By this complex attribute it is possible to define rules under which the action is activated. Non-activated actions are disabled, and can't be executed by the user.
      Returns:
        the value of the 'Action Enabled Condition' containment reference.
      See Also:
        `setActionEnabledCondition(RSelectionEnabledCondition)`, `TaurusPackage.getRElementAction_ActionEnabledCondition()`

    - #### setActionEnabledCondition

          void setActionEnabledCondition(RSelectionEnabledCondition value)

      Sets the value of the '`Action Enabled Condition`' containment reference.
      Parameters:
        `value` - the new value of the 'Action Enabled Condition' containment reference.
      See Also:
        `getActionEnabledCondition()`

    - #### getActionVisibleCondition

          RSelectionVisibleCondition getActionVisibleCondition()

      Returns the value of the 'Action Visible Condition' containment reference. By this complex attribute it is possible to define rules under which the action is visibled.
      Returns:
        the value of the 'Action Visible Condition' containment reference.
      See Also:
        `setActionVisibleCondition(RSelectionVisibleCondition)`, `TaurusPackage.getRElementAction_ActionVisibleCondition()`

    - #### setActionVisibleCondition

          void setActionVisibleCondition(RSelectionVisibleCondition value)

      Sets the value of the '`Action Visible Condition`' containment reference.
      Parameters:
        `value` - the new value of the 'Action Visible Condition' containment reference.
      See Also:
        `getActionVisibleCondition()`

    - #### isDefaultAction

          boolean isDefaultAction()

      Returns the value of the 'Default Action' attribute. The default value is `"false"`.
      Defines whether this action should be carried out by a double-click on the element. Only one action of an element type can be declared as the Default_Action.
      Returns:
        the value of the 'Default Action' attribute.
      See Also:
        `isSetDefaultAction()`, `unsetDefaultAction()`, `setDefaultAction(boolean)`, `TaurusPackage.getRElementAction_DefaultAction()`

    - #### setDefaultAction

          void setDefaultAction(boolean value)

      Sets the value of the '`Default Action`' attribute.
      Parameters:
        `value` - the new value of the 'Default Action' attribute.
      See Also:
        `isSetDefaultAction()`, `unsetDefaultAction()`, `isDefaultAction()`

    - #### unsetDefaultAction

          void unsetDefaultAction()

      Unsets the value of the '`Default Action`' attribute.
      See Also:
        `isSetDefaultAction()`, `isDefaultAction()`, `setDefaultAction(boolean)`

    - #### isSetDefaultAction

          boolean isSetDefaultAction()

      Returns whether the value of the '`Default Action`' attribute is set.
      Returns:
        whether the value of the 'Default Action' attribute is set.
      See Also:
        `unsetDefaultAction()`, `isDefaultAction()`, `setDefaultAction(boolean)`

    - #### getLabel

          java.lang.String getLabel()

      Returns the value of the 'Label' attribute.
      Labeling of the action in the context menu. If no label is specified, the label of the referenced action descriptor will be used.
      Returns:
        the value of the 'Label' attribute.
      See Also:
        `setLabel(String)`, `TaurusPackage.getRElementAction_Label()`

    - #### setLabel

          void setLabel(java.lang.String value)

      Sets the value of the '`Label`' attribute.
      Parameters:
        `value` - the new value of the 'Label' attribute.
      See Also:
        `getLabel()`

    - #### getLabelFromHierarchy

          java.lang.String getLabelFromHierarchy()

      Returns the Label or, if the Label wasn't set, the Label of the referenced ActionDescriptor (`TargetID`). If the ActionDescriptors Label wasn't set, too, its ID will be returned.

    - #### isSeparatorAfter

          boolean isSeparatorAfter()

      Returns the value of the 'Separator After' attribute.
      Determines whether to insert a separation line behind the context menu entry.
      Returns:
        the value of the 'Separator After' attribute.
      See Also:
        `isSetSeparatorAfter()`, `unsetSeparatorAfter()`, `setSeparatorAfter(boolean)`, `TaurusPackage.getRElementAction_SeparatorAfter()`

    - #### setSeparatorAfter

          void setSeparatorAfter(boolean value)

      Sets the value of the '`Separator After`' attribute.
      Parameters:
        `value` - the new value of the 'Separator After' attribute.
      See Also:
        `isSetSeparatorAfter()`, `unsetSeparatorAfter()`, `isSeparatorAfter()`

    - #### unsetSeparatorAfter

          void unsetSeparatorAfter()

      Unsets the value of the '`Separator After`' attribute.
      See Also:
        `isSetSeparatorAfter()`, `isSeparatorAfter()`, `setSeparatorAfter(boolean)`

    - #### isSetSeparatorAfter

          boolean isSetSeparatorAfter()

      Returns whether the value of the '`Separator After`' attribute is set.
      Returns:
        whether the value of the 'Separator After' attribute is set.
      See Also:
        `unsetSeparatorAfter()`, `isSeparatorAfter()`, `setSeparatorAfter(boolean)`

    - #### getSeqNo

          int getSeqNo()

      Returns the value of the 'Seq No' attribute.
      The Position Number of the action in the context menu of an element.
      Returns:
        the value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `setSeqNo(int)`, `TaurusPackage.getRElementAction_SeqNo()`

    - #### setSeqNo

          void setSeqNo(int value)

      Sets the value of the '`Seq No`' attribute.
      Parameters:
        `value` - the new value of the 'Seq No' attribute.
      See Also:
        `isSetSeqNo()`, `unsetSeqNo()`, `getSeqNo()`

    - #### unsetSeqNo

          void unsetSeqNo()

      Unsets the value of the '`Seq No`' attribute.
      See Also:
        `isSetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### isSetSeqNo

          boolean isSetSeqNo()

      Returns whether the value of the '`Seq No`' attribute is set.
      Returns:
        whether the value of the 'Seq No' attribute is set.
      See Also:
        `unsetSeqNo()`, `getSeqNo()`, `setSeqNo(int)`

    - #### isShowInElementView

          boolean isShowInElementView()

      Returns the value of the 'Show In Element View' attribute. The default value is `"true"`.
      Determines whether the referenced action should display in the Table Results View context menu.
      Returns:
        the value of the 'Show In Element View' attribute.
      See Also:
        `isSetShowInElementView()`, `unsetShowInElementView()`, `setShowInElementView(boolean)`, `TaurusPackage.getRElementAction_ShowInElementView()`

    - #### setShowInElementView

          void setShowInElementView(boolean value)

      Sets the value of the '`Show In Element View`' attribute.
      Parameters:
        `value` - the new value of the 'Show In Element View' attribute.
      See Also:
        `isSetShowInElementView()`, `unsetShowInElementView()`, `isShowInElementView()`

    - #### unsetShowInElementView

          void unsetShowInElementView()

      Unsets the value of the '`Show In Element View`' attribute.
      See Also:
        `isSetShowInElementView()`, `isShowInElementView()`, `setShowInElementView(boolean)`

    - #### isSetShowInElementView

          boolean isSetShowInElementView()

      Returns whether the value of the '`Show In Element View`' attribute is set.
      Returns:
        whether the value of the 'Show In Element View' attribute is set.
      See Also:
        `unsetShowInElementView()`, `isShowInElementView()`, `setShowInElementView(boolean)`

    - #### isShowInTreeView

          boolean isShowInTreeView()

      Returns the value of the 'Show In Tree View' attribute. The default value is `"true"`.
      Determines whether the referenced action should display in the Application Explorer View context menu.
      Returns:
        the value of the 'Show In Tree View' attribute.
      See Also:
        `isSetShowInTreeView()`, `unsetShowInTreeView()`, `setShowInTreeView(boolean)`, `TaurusPackage.getRElementAction_ShowInTreeView()`

    - #### setShowInTreeView

          void setShowInTreeView(boolean value)

      Sets the value of the '`Show In Tree View`' attribute.
      Parameters:
        `value` - the new value of the 'Show In Tree View' attribute.
      See Also:
        `isSetShowInTreeView()`, `unsetShowInTreeView()`, `isShowInTreeView()`

    - #### unsetShowInTreeView

          void unsetShowInTreeView()

      Unsets the value of the '`Show In Tree View`' attribute.
      See Also:
        `isSetShowInTreeView()`, `isShowInTreeView()`, `setShowInTreeView(boolean)`

    - #### isSetShowInTreeView

          boolean isSetShowInTreeView()

      Returns whether the value of the '`Show In Tree View`' attribute is set.
      Returns:
        whether the value of the 'Show In Tree View' attribute is set.
      See Also:
        `unsetShowInTreeView()`, `isShowInTreeView()`, `setShowInTreeView(boolean)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.